StandardQueryConfigHandler.Operator (Lucene 3.6.2 API)
Keywords: org.apache.lucene.queryParser.standard.config.StandardQueryConfigHandler.Operator class

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD

## org.apache.lucene.queryParser.standard.config
Enum StandardQueryConfigHandler.Operator

    java.lang.Object
      java.lang.Enum<StandardQueryConfigHandler.Operator>
          org.apache.lucene.queryParser.standard.config.StandardQueryConfigHandler.Operator

All Implemented Interfaces:
  Serializable, Comparable<StandardQueryConfigHandler.Operator>

Enclosing class:
  StandardQueryConfigHandler

    public static enum StandardQueryConfigHandler.Operator

extends Enum<StandardQueryConfigHandler.Operator>

Enum Constant Summary
`AND`
`OR`

Method Summary
`static StandardQueryConfigHandler.Operator` | `valueOf(String name)` Returns the enum constant of this type with the specified name.
`static StandardQueryConfigHandler.Operator[]` | `values()` Returns an array containing the constants of this enum type, in the order they're declared.

Methods inherited from class java.lang.Enum
`clone, compareTo, equals, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

Methods inherited from class java.lang.Object
`finalize, getClass, notify, notifyAll, wait, wait, wait`

Enum Constant Detail

### AND

    public static final StandardQueryConfigHandler.Operator AND

### OR

    public static final StandardQueryConfigHandler.Operator OR

Method Detail

### values

    public static final StandardQueryConfigHandler.Operator[] values()

  Returns an array containing the constants of this enum type, in the order they're declared. This method may be used to iterate over the constants as follows:

      for(StandardQueryConfigHandler.Operator c : StandardQueryConfigHandler.Operator.values())
              System.out.println(c);

  Returns:
    an array containing the constants of this enum type, in the order they're declared

### valueOf

    public static StandardQueryConfigHandler.Operator valueOf(String name)

  Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

  Parameters:
    `name` - the name of the enum constant to be returned.
  Returns:
    the enum constant with the specified name
  Throws:
    `IllegalArgumentException` - if this enum type has no constant with the specified name

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD